Cards for jQuery and jQuery Mobile

Updated on May 17, 2021

Cards component for rendering any type of content: photos, text, video and forms in a consistent way.

Use it for organizing content and provide entry points with optional actions.

Shipping with useful features for creating effective layouts:

  • Built from three blocks: header, content & footer
  • Fully supports typograpy elements & classes
  • Thumbnail, avatar, inline & cover image support
  • Integrates with horizontal scroll view and list view
  • Multiple theme support
  • Lightweight footprint
  • RTL Support
  • Supports card collections



As part of Gesture enabled listview it can be picked up with the Framework and Complete licenses or with the component license.


Cards demos available for other frameworks.

Viewing demos & code for

jQuery Cards Cards for jQuery and jQuery Mobile

Cards - Basic

Change demo
Basic
JQuery Cards demo with header, content, footer blocks, basic typography and card actions. With source code. For jQuery or jQuery Mobile.
Copy code

Cards - Images

Change demo
Images

Display images inside cards in a couple of different ways. Place it as a cover, make it full-width, inset images or use them as thumbnails.

Place the cards in a grid system, make them scrollable horizontally or create a tinder-like swipe away layout.

Copy code

Cards - Video

Change demo
Video
JQuery Cards demo showing off how to include videos with and without description. Content can be shown around media cards. For jQuery or jQuery Mobile.
Copy code

Cards - Lists

Change demo
Lists
JQuery Cards demo that contains gesture enabled checklist and hierarchical listview. Add or remove elements from the list. For jQuery or jQuery Mobile.
Copy code
mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
}

$(function () {

    $('.md-lv').mobiscroll().listview({
        enhance: true,
        swipe: false
    });


    $('.md-lv-checklist').mobiscroll().listview({
        stages: {
            left: [{
                key: 'stage1',
                icon: 'plus',
                color: '#31c6e7',
                text: 'Add',
                action: function (event, inst) {
                    inst.add(null, '<input type="checkbox" /> New Todo', event.index + 1);
                }
            }],
            right: [{
                key: 'stage2',
                color: '#009688',
                text: 'Remove',
                icon: 'remove',
                action: function (event, inst) {
                    inst.remove(event.target);
                    return false;
                }
            }]
        }
    });

});
<div mbsc-card>
    <ul class="md-lv-checklist mbsc-cloak" mbsc-enhance>
        <li><input type="checkbox"checked />Do the laundry</li>
        <li><input type="checkbox"/>Check out new Mobiscroll features</li>
        <li><input type="checkbox"checked />Don't forget mom's birthday!</li>
        <li><input type="checkbox"/>Update my app with the latest Mobiscroll</li>
        <li><input type="checkbox"/>Buy new shoes</li>
        <li><input type="checkbox"/>Need ketchup for pizza</li>
    </ul>
</div>

<div mbsc-card>
    <ul class="md-lv mbsc-cloak">
        <li data-id="1" data-icon="line-user">Edit profile
            <ul>
                <li data-icon="line-key">Change password</li>
                <li data-icon="line-user">Change personal information</li>
            </ul>
        </li>
        <li data-id="2" data-icon="line-settings">Settings
            <ul>
                <li data-icon="line-megaphone">Sound settings</li>
                <li data-icon="line-params">Notification settings</li>
                <li data-icon="line-t-shirt">Change theme</li>
            </ul>
        </li>
        <li data-id="3" data-icon="line-heart">Rate
            <ul>
                <li data-icon="line-star">Rate this application on Google Play</li>
            </ul>
        </li>
        <li data-id="4" data-icon="line-bubble">Tell a friend
            <ul>
                <li data-icon="line-mail">Share it in Email</li>
                <li data-icon="line-world">Share it on Social media</li>
            </ul>
        </li>
        <li data-id="6" data-icon="line-note">Term of service
            <ul>
                <li>This application content is under WTFPL license.</li>
            </ul>
        </li>
        <li data-id="5" data-icon="line-mail">Contact us
            <ul>
                <li data-icon="line-mail">Let us know if we can help.</li>
            </ul>
        </li>
        <li data-id="7" data-icon="line-world">About us
            <ul>
                <li>We are the Mobiscroll team.</li>
            </ul>
        </li>
    </ul>
</div>
.mbsc-lv-cont .cd-todo-item {
    padding: 0;
}

Cards - Social cards

Change demo
Social cards
JQuery social cards demo with avatar, name, timestamp, photos, text and various actions. Build custom templates. For jQuery or jQuery Mobile.
Copy code

Cards - Forms

Change demo
Forms
JQuery Cards demo with various form elements. Add text fields, selects, checkboxes, sliders, switch, radio, buttons & more. For jQuery or jQuery Mobile.
Copy code

Cards - Swipe away

Change demo
Swipe away
JQuery Notification card demo. Use it like notification center or google now. Swipe away to clear. With source code. For jQuery or jQuery Mobile.
Copy code

Cards - Stacked cards

Change demo
Stacked cards
JQuery Stacked and rotated cards with tinder-like swipe away interaction. Use cards with listview gestures and custom CSS. For jQuery or jQuery Mobile.
Copy code

Cards - Content

Change demo
Content
JQuery Image card demo with description. Use it between content blocks or virtually anywhere for clean rendering. For jQuery or jQuery Mobile.
Copy code

Cards - Tabs

Change demo
Tabs
JQuery Cards demo with tabbed view. Use it to break up content logically and provide bite-sized information. For jQuery or jQuery Mobile.
Copy code

Cards - Collapsible

Change demo
Collapsible
JQuery Collapsible card list with summary in the header and additional content visible when the card is expanded. For jQuery or jQuery Mobile.
Copy code

Cards - Accordion

Change demo
Accordion
JQuery Accordion cards with one card expanded at a time. Use it let users focus on a single piece of content. For jQuery or jQuery Mobile.
Copy code

Cards - Masonry layout

Change demo
Masonry layout
JQuery Image cards with variable height in masonry layout. Four column layout similar to how Pinterest renders content. For jQuery or jQuery Mobile.
Copy code

Cards - Grid layout

Change demo
Grid layout
JQuery image card grid with title and description. Use it in horizontally scrollable lists or responsive grid layout. For jQuery or jQuery Mobile.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Cards for Angular and Ionic Framework

Updated on May 17, 2021

Cards component for rendering any type of content: photos, text, video and forms in a consistent way.

Use it for organizing content and provide entry points with optional actions.

Shipping with useful features for creating effective layouts:

  • Built from three blocks: header, content & footer
  • Fully supports typograpy elements & classes
  • Thumbnail, avatar, inline & cover image support
  • Integrates with horizontal scroll view and list view
  • Multiple theme support
  • Lightweight footprint
  • RTL Support
  • Supports card collections



As part of Gesture enabled listview it can be picked up with the Framework and Complete licenses or with the component license.


Cards demos available for other frameworks.

Viewing demos & code for

Angular and Ionic Cards Cards for Angular and Ionic Framework

Cards - Basic

Change demo
Basic
Angular Cards demo with header, content, footer blocks, basic typography and card actions. With source code. For Angular 22 and Ionic 8.
Copy code

Cards - Images

Change demo
Images

Display images inside cards in a couple of different ways. Place it as a cover, make it full-width, inset images or use them as thumbnails.

Place the cards in a grid system, make them scrollable horizontally or create a tinder-like swipe away layout.

Copy code

Cards - Video

Change demo
Video
Angular Cards demo showing off how to include videos with and without description. Content can be shown around media cards. For Angular 22 and Ionic 8.
Copy code

Cards - Lists

Change demo
Lists
Angular Cards demo that contains gesture enabled checklist and hierarchical listview. Add or remove elements from the list. For Angular 22 and Ionic 8.
Copy code
import { Component } from '@angular/core';
import { MbscCardOptions, MbscListviewOptions } from '@mobiscroll/angular';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    settings: MbscCardOptions = {
        lang: ' ',
        theme: ' ',
        themeVariant: ' '
    };

    checklistSettings: MbscListviewOptions = {
        lang: ' ',
        theme: ' ',
        themeVariant: ' ',
        stages: {
            left: [{
                key: 'stage1',
                icon: 'plus',
                color: '#31c6e7',
                text: 'Add',
                action: (event, inst) => {
                    this.todos.splice(event.index + 1, 0, {
                        todo: 'New Todo',
                        checked: false
                    });
                }
            }],
            right: [{
                key: 'stage2',
                color: '#009688',
                text: 'Remove',
                icon: 'remove',
                action: (event, inst) => {
                    this.todos.splice(event.index, 1);
                    return false;
                }
            }]
        }
    };

    todos = [{
        todo: 'Do the laundry',
        checked: false
    }, {
        todo: 'Check out new Mobiscroll features',
        checked: false
    }, {
        todo: 'Don\'t forget mom\'s birthday!',
        checked: true
    }, {
        todo: 'Update my app with the latest Mobiscroll',
        checked: false
    }, {
        todo: 'Buy new shoes',
        checked: false
    }, {
        todo: 'Need ketchup for pizza',
        checked: true
    }];

    actions = [{
        title: 'Edit profile',
        icon: 'line-user',
        children: [{
            title: 'Change password',
            icon: 'line-key'
        }, {
            title: 'Change personal information',
            icon: 'line-user'
        }]
    }, {
        title: 'Settings',
        icon: 'line-settings',
        children: [{
            title: 'Sound settings',
            icon: 'line-megaphone'
        }, {
            title: 'Notification settings',
            icon: 'line-params'
        }, {
            title: 'Change theme',
            icon: 'line-t-shirt'
        }]
    }, {
        title: 'Rate',
        icon: 'line-heart',
        children: [{
            title: 'Rate this application',
            icon: 'line-star'
        }]
    }, {
        title: 'Tell a friend',
        icon: 'line-bubble',
        children: [{
            title: 'Share it in Email',
            icon: 'line-mail'
        }, {
            title: 'Share it on Social Media',
            icon: 'line-world'
        }]
    }, {
        title: 'Term of service',
        icon: 'line-note',
        children: [{
            title: 'This application content is under WTFPL license.'
        }]
    }, {
        title: 'Contact us',
        icon: 'line-mail',
        children: [{
            title: 'Let us know if we can help',
            icon: 'line-mail'
        }]
    }, {
        title: 'About us',
        icon: 'line-world',
        children: [{
            title: 'We are the Mobiscroll team.'
        }]
    }];
}
<mbsc-card [options]="settings">
    <mbsc-listview [options]="checklistSettings">
        <mbsc-listview-item class="cd-todo-item" *ngFor="let item of todos">
            <mbsc-checkbox [(ngModel)]="item.checked">{{item.todo}}</mbsc-checkbox>
        </mbsc-listview-item>
    </mbsc-listview>
</mbsc-card>

<mbsc-card [options]="settings">
    <mbsc-listview [swipe]="false" [enhance]="true">
        <mbsc-listview-item *ngFor="let item of actions" [icon]="item.icon">
            {{item.title}}
            <mbsc-listview-sublist *ngIf="item.children">
                <mbsc-listview-item *ngFor="let child of item.children" [icon]="child.icon">
                    {{child.title}}
                </mbsc-listview-item>
            </mbsc-listview-sublist>
        </mbsc-listview-item>
    </mbsc-listview>
</mbsc-card>
.mbsc-lv-cont .cd-todo-item {
    padding: 0;
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Cards - Social cards

Change demo
Social cards
Angular social cards demo with avatar, name, timestamp, photos, text and various actions. Build custom templates. For Angular 22 and Ionic 8.
Copy code

Cards - Forms

Change demo
Forms
Angular Cards demo with various form elements. Add text fields, selects, checkboxes, sliders, switch, radio, buttons & more. For Angular 22 and Ionic 8.
Copy code

Cards - Swipe away

Change demo
Swipe away
Angular Notification card demo. Use it like notification center or google now. Swipe away to clear. With source code. For Angular 22 and Ionic 8.
Copy code

Cards - Stacked cards

Change demo
Stacked cards
Angular Stacked and rotated cards with tinder-like swipe away interaction. Use cards with listview gestures and custom CSS. For Angular 22 and Ionic 8.
Copy code

Cards - Content

Change demo
Content
Angular Image card demo with description. Use it between content blocks or virtually anywhere for clean rendering. For Angular 22 and Ionic 8.
Copy code

Cards - Tabs

Change demo
Tabs
Angular Cards demo with tabbed view. Use it to break up content logically and provide bite-sized information. For Angular 22 and Ionic 8.
Copy code

Cards - Collapsible

Change demo
Collapsible
Angular Collapsible card list with summary in the header and additional content visible when the card is expanded. For Angular 22 and Ionic 8.
Copy code

Cards - Accordion

Change demo
Accordion
Angular Accordion cards with one card expanded at a time. Use it let users focus on a single piece of content. For Angular 22 and Ionic 8.
Copy code

Cards - Masonry layout

Change demo
Masonry layout
Angular Image cards with variable height in masonry layout. Four column layout similar to how Pinterest renders content. For Angular 22 and Ionic 8.
Copy code

Cards - Grid layout

Change demo
Grid layout
Angular image card grid with title and description. Use it in horizontally scrollable lists or responsive grid layout. For Angular 22 and Ionic 8.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Cards for React

Updated on May 17, 2021

Cards component for rendering any type of content: photos, text, video and forms in a consistent way.

Use it for organizing content and provide entry points with optional actions.

Shipping with useful features for creating effective layouts:

  • Built from three blocks: header, content & footer
  • Fully supports typograpy elements & classes
  • Thumbnail, avatar, inline & cover image support
  • Integrates with horizontal scroll view and list view
  • Multiple theme support
  • Lightweight footprint
  • RTL Support
  • Supports card collections



As part of Gesture enabled listview it can be picked up with the Framework and Complete licenses or with the component license.


Cards demos available for other frameworks.

Viewing demos & code for

React Cards Cards for React

Cards - Basic

Change demo
Basic
React Cards demo with header, content, footer blocks, basic typography and card actions. With source code. For React and Next.JS.
Copy code

Cards - Images

Change demo
Images

Display images inside cards in a couple of different ways. Place it as a cover, make it full-width, inset images or use them as thumbnails.

Place the cards in a grid system, make them scrollable horizontally or create a tinder-like swipe away layout.

Copy code

Cards - Video

Change demo
Video
React Cards demo showing off how to include videos with and without description. Content can be shown around media cards. For React and Next.JS.
Copy code

Cards - Lists

Change demo
Lists
React Cards demo that contains gesture enabled checklist and hierarchical listview. Add or remove elements from the list. For React and Next.JS.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class ActionItem extends React.Component {
    render() {
        let children = null;
        if (this.props.item.children && this.props.item.children.length > 0) {
            children = <ul>
                {this.props.item.children.map(function(child) {
                    return <ActionItem key={child.id} item={child} />;
                })}
            </ul>;
        }
        return <li data-id={this.props.item.id} data-icon={this.props.item.icon}> {this.props.item.title}
            {children}
         </li>;
    }
}

class TodoItem extends React.Component {
    render() {
        return <li data-id={this.props.item.id}>
            <input type="checkbox" data-role="none" defaultChecked={this.props.item.checked} />
            {this.props.item.todo}
        </li>;
    }
}

class App extends React.Component {
    render() {
        return (
            <div>
                <mobiscroll.Card
                    theme=" " 
                    themeVariant=" "
                    lang=" "
                >
                    <mobiscroll.Listview
                        itemType={ActionItem}
                        data={this.state.actions}
                        theme=" " 
                        themeVariant=" "
                        lang=" "
                        swipe={false}
                        enhance={true}
                        />
                </mobiscroll.Card>
                
                <mobiscroll.Card
                    theme=" " 
                    themeVariant=" "
                    lang=" "
                >
                    <mobiscroll.Listview
                        itemType={TodoItem}
                        data={this.state.todos}
                        theme=" " 
                        themeVariant=" "
                        lang=" "
                        stages={this.todoStages}
                        />
                </mobiscroll.Card>
            </div>
        );
    }
    
    constructor(props) {
        super(props);

        this.state = {
            actions: [{
                id: 1,
                title: 'Edit profile',
                icon: 'line-user',
                children: [{
                    id: 2,
                    title: 'Change password',
                    icon: 'line-key'
                }, {
                    id: 3,
                    title: 'Change personal information',
                    icon: 'line-user'
                }]
            }, {
                id: 4,
                title: 'Settings',
                icon: 'line-settings',
                children: [{
                    id: 5,
                    title: 'Sound settings',
                    icon: 'line-megaphone'
                }, {
                    id: 6,
                    title: 'Notification settings',
                    icon: 'line-params'
                }, {
                    id: 7,
                    title: 'Change theme',
                    icon: 'line-t-shirt'
                }]
            }, {
                id: 8,
                title: 'Rate',
                icon: 'line-heart',
                children: [{
                    id: 9,
                    title: 'Rate this application',
                    icon: 'line-star'
                }]
            }, {
                id: 10,
                title: 'Tell a friend',
                icon: 'line-bubble',
                children: [{
                    id: 11,
                    title: 'Share it in Email',
                    icon: 'line-mail'
                }, {
                    id: 12,
                    title: 'Share it on Social Media',
                    icon: 'line-world'
                }]
            }, {
                id: 13,
                title: 'Term of service',
                icon: 'line-note',
                children: [{
                    id: 14,
                    title: 'This application content is under WTFPL license.'
                }]
            }, {
                id: 15,
                title: 'Contact us',
                icon: 'line-mail',
                children: [{
                    id: 16,
                    title: 'Let us know if we can help',
                    icon: 'line-mail'
                }]
            }, {
                id: 17,
                title: 'About us',
                icon: 'line-world',
                children: [{
                    id: 18,
                    title: 'We are the Mobiscroll team.'
                }]
            }],
            todos: [{
                id: 19,
                todo: 'Do the laundry',
                checked: true
            }, {
                id: 20,
                todo: 'Check out new Mobiscroll features',
                checked: false
            }, {
                id: 21,
                todo: 'Don\'t forget Mom\'s birthday',
                checked: true
            }, {
                id: 22,
                todo: 'Update my app with the latest Mobiscroll',
                checked: false
            }, {
                id: 23,
                todo: 'Buy new shoes',
                checked: false
            }, {
                id: 24,
                todo: 'Need ketchup for pizza',
                checked: false
            }],
            nextId: 25
        };
    }
    
    todoStages = {
        left: [{
            key: 'stage1',
            icon: 'plus',
            color: '#31c6e7',
            text: 'Add',
            action: function (event, inst) {
                this.state.todos.splice(event.index + 1, 0, {
                    id: this.state.nextId++,
                    todo: 'New Todo',
                    checked: false
                });
                this.setState({
                    todos: this.state.todos
                });
            }.bind(this)
        }],
        right: [{
            key: 'stage2',
            color: '#009688',
            text: 'Remove',
            icon: 'remove',
            action: function (event, inst) {
                this.state.todos.splice(event.index, 1);
                this.setState({
                    todos: this.state.todos
                });
                return false;
            }.bind(this)
        }]
    };
}

<div id="content"></div>
.mbsc-lv-cont .cd-todo-item {
    padding: 0;
}

Cards - Social cards

Change demo
Social cards
React social cards demo with avatar, name, timestamp, photos, text and various actions. Build custom templates. For React and Next.JS.
Copy code

Cards - Forms

Change demo
Forms
React Cards demo with various form elements. Add text fields, selects, checkboxes, sliders, switch, radio, buttons & more. For React and Next.JS.
Copy code

Cards - Swipe away

Change demo
Swipe away
React Notification card demo. Use it like notification center or google now. Swipe away to clear. With source code. For React and Next.JS.
Copy code

Cards - Stacked cards

Change demo
Stacked cards
React Stacked and rotated cards with tinder-like swipe away interaction. Use cards with listview gestures and custom CSS. For React and Next.JS.
Copy code

Cards - Content

Change demo
Content
React Image card demo with description. Use it between content blocks or virtually anywhere for clean rendering. For React and Next.JS.
Copy code

Cards - Tabs

Change demo
Tabs
React Cards demo with tabbed view. Use it to break up content logically and provide bite-sized information. For React and Next.JS.
Copy code

Cards - Collapsible

Change demo
Collapsible
React Collapsible card list with summary in the header and additional content visible when the card is expanded. For React and Next.JS.
Copy code

Cards - Accordion

Change demo
Accordion
React Accordion cards with one card expanded at a time. Use it let users focus on a single piece of content. For React and Next.JS.
Copy code

Cards - Masonry layout

Change demo
Masonry layout
React Image cards with variable height in masonry layout. Four column layout similar to how Pinterest renders content. For React and Next.JS.
Copy code

Cards - Grid layout

Change demo
Grid layout
React image card grid with title and description. Use it in horizontally scrollable lists or responsive grid layout. For React and Next.JS.
Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos